<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [canCreateCorporation](./bitburner.corporation.cancreatecorporation.md)

## Corporation.canCreateCorporation() method

Return whether the player can create a corporation. Does not require API access.

**Signature:**

```typescript
canCreateCorporation(selfFund: boolean): CreatingCorporationCheckResult;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

selfFund


</td><td>

boolean


</td><td>

true if you want to self-fund, false otherwise


</td></tr>
</tbody></table>

**Returns:**

[CreatingCorporationCheckResult](./bitburner.creatingcorporationcheckresult.md)

Result of the check

## Remarks

RAM cost: 0 GB

